package aicg.wipf.keyu.bzsb.fdjl

import aicg.wipf.vzuj.Hqlm
import aicg.wipf.vzuj.Kmqp.setTrackedOnClickListener
import aicg.wipf.vzuj.Kmqp.string
import android.graphics.Bitmap
import android.graphics.Color
import android.view.ViewGroup.LayoutParams.MATCH_PARENT
import android.webkit.WebView
import androidx.core.view.isVisible
import androidx.core.view.updatePadding
import com.blankj.utilcode.util.BarUtils
import com.test.basd.smartjunkcleaner.R
import com.test.basd.smartjunkcleaner.databinding.DklsttBinding

class Qorv : Hqlm<DklsttBinding>() {

    override val binding: DklsttBinding by lazy {
        DklsttBinding.inflate(layoutInflater)
    }

    private var currentTab = 0

    private val tabs = mutableListOf<Gkbv?>(null)

    private fun loadUrl(url: String) {
        class ރޜޤޑޕޣށޠ<T>(val ރޠޑގޒޑޕޚ: T)
        val ކވޥބޅގޢގ = ރޜޤޑޕޣށޠ(141)
        val ކކޞޓޔޓޢޑ = ރޜޤޑޕޣށޠ("ޖޚޔޝބލތއ")
        println(ކވޥބޅގޢގ.ރޠޑގޒޑޕޚ)
        println(ކކޞޓޔޓޢޑ.ރޠޑގޒޑޕޚ)
        ސޢއޛބޝބލ(url)
    }

    private fun ޕހޔޠޚތޗތ(url: String) {
        class ޘޞޠގޟބހޑ<T, K>(val ޜޡމޣޏޔފޛ: T, val ފޙޛޗޑޛޢތ: K) {
            init {
                println("ޅދޡޝޝޥޔހ")
            }
        }
        val ޒޕވޥޏކރޢ = ޘޞޠގޟބހޑ("ޗޅއޅނޞޥކ", 8664)
        println(ޒޕވޥޏކރޢ)
        ޓޥޣމކދޠކ(url)
    }

    override fun initListener() {
        ޣޣވވޙޛދސ()
    }

    override fun initView() {
        fun ޗޙޤޓޠޝޣޑ(ޑތށހބމޒމ: Int, ގޚޒލޕއޜޞ: Int): Int {
            fun ޖލޠޕޒވޒޖ(ލއޙޜޗވޖޕ: Int, ވހޞގނޠޟޘ: Int): Int {
                return ލއޙޜޗވޖޕ + ވހޞގނޠޟޘ
            }
            return ޖލޠޕޒވޒޖ(ޑތށހބމޒމ, ގޚޒލޕއޜޞ)
        }
        val ޕޙޘގޑޣޕޔ = ޗޙޤޓޠޝޣޑ(92, 2750)
        println(ޕޙޘގޑޣޕޔ)
        ޅލޣޕގޣޓޛ()
    }

    private fun ޘގޚޒޡޘހގ(url: String) {

        binding.cvsjpwh.isVisible = true
        binding.uwymylu.isVisible=false
        val ގލޤޅޚހޗލ = 297..297 + 10
        println(ގލޤޅޚހޗލ.random())
        if (tabs[currentTab] == null) {
            tabs[currentTab] = Gkbv(
                object : Gkbv.WebViewListener {
                    override val activity = this@Qorv

                    override fun onProgressChanged(progress: Int) {
                        fun ޒޟނލޣބޛޒ(ޥޢޜފށޑޞޢ: Int, ޜރތޓޝޝޡޣ: Int): Int {
                            return ޥޢޜފށޑޞޢ + ޜރތޓޝޝޡޣ
                        }
                        println(ޒޟނލޣބޛޒ(4181, 9880))
                        ޞޤޖލޝރނޏ(progress)
                    }

                    private fun ޞޤޖލޝރނޏ(progress: Int) {
                        ޞޙބޗޖޜތޘ(progress)
                    }

                    private fun ޞޙބޗޖޜތޘ(progress: Int) {
                        val ނޙޞއރވޏޖ: (Int, Int) -> Int = { ޜޔޘޚޘޗޢޝ, ޥއޔޑޑފޓޙ -> ޜޔޘޚޘޗޢޝ + ޥއޔޑޑފޓޙ }
                        println(ނޙޞއރވޏޖ.invoke(6965, 4905))
                        ޤޛކށޟކބދ(progress)
                    }

                    private fun ޤޛކށޟކބދ(progress: Int) {
                        ޟޒސޘޚޘޚޖ(progress)
                    }

                    private fun ޟޒސޘޚޘޚޖ(progress: Int) {
                        class ށދނދދޓޛޡ<T>(ކއޞޝޒޙށހ: T) {
                            init {
                                println("ޤލޥތޚއޡޢ: $ކއޞޝޒޙށހ")
                            }
                        }
                        println(ށދނދދޓޛޡ("ސއއއޖޞޞށ"))
                        ޖޒޔލވޡޔޅ(progress)
                    }

                    private fun ޖޒޔލވޡޔޅ(progress: Int) {

                    }

                    override fun onReceivedTitle(title: String) {
                        ޖޔޏޗޜޖމވ(title)
                    }

                    private fun ޖޔޏޗޜޖމވ(title: String) {
                        ޝކޖނޢދޅޙ(title)
                    }

                    private fun ޝކޖނޢދޅޙ(title: String) {
                        ފޙދށކޅޚތ(title)
                    }

                    private fun ފޙދށކޅޚތ(title: String) {
                        އޓޒޣޙސހޚ(title)
                    }

                    private fun އޓޒޣޙސހޚ(title: String) {
                        ގއޑޙވޑބޟ(title)
                    }

                    private fun ގއޑޙވޑބޟ(title: String) {

                    }

                    override fun onReceivedIcon(icon: Bitmap?) {

                    }

                    override fun onPageStarted(url: String, icon: Bitmap?) {
                        ދދށޏށޚސޖ(url, icon)
                    }

                    private fun ދދށޏށޚސޖ(url: String, icon: Bitmap?) {

                    }

                    override fun onPageFinished(view: WebView?, url: String) {
                        ފޣއޟފކޖޤ(view, url)
                    }

                    private fun ފޣއޟފކޖޤ(view: WebView?, url: String) {

                        fun <T> ޕޅޠޟޏވގޟ(ޜޕޗވޖވޖޜ: T) {
                            println(ޜޕޗވޖވޖޜ)
                        }
                        ޕޅޠޟޏވގޟ(3841)
                        ޕޅޠޟޏވގޟ("ކޛޑޔޡޏއދ")
                        binding.hodhdnp.isSelected = view?.canGoBack() == true
                        binding.rgghvla.isSelected = view?.canGoForward() == true

                    }
                }, url
            )
        } else {
            tabs[currentTab]?.loadUrl(url)
        }
        tabs[currentTab]?.isHome = false

        binding.cvsjpwh.removeAllViews()
        binding.cvsjpwh.addView(tabs[currentTab]?.getWebView(), 0, MATCH_PARENT)
    }

    private fun ޥރޚކޙކޒރ(url: String) {
        class ނތޞރޞޣދޘ<T>(val ޝޛޏޢޑކޑފ: T, val ޙޢޒޟޓސޔކ: Int) {
            constructor(ގޔޚޓބޗށޢ: T) : this(ގޔޚޓބޗށޢ, 1623) {
                println("ޏތޙޝޥޗޥޅ")
            }
        }
        println(ނތޞރޞޣދޘ("ޤށވޝހމޒބ"))
        ޘގޚޒޡޘހގ(url)
    }

    private fun ޓޥޣމކދޠކ(url: String) {
        val ރލމނޛޏޙވ: (Int, Int) -> Int = { ޗޟކޤޛޑޚޗ, ޔރޙޒގޓޥޓ -> ޗޟކޤޛޑޚޗ + ޔރޙޒގޓޥޓ }
        println(ރލމނޛޏޙވ.invoke(8119, 5467))
        ޥރޚކޙކޒރ(url)
    }

    private fun ސޢއޛބޝބލ(url: String) {
        ޕހޔޠޚތޗތ(url)
    }

    private fun ޡޢފމރޤޣޟ() {
        class ޜޣޣފތރށސ(val ޙޙނގޕޘޞނ: String, val ޞއއއޣޠޓޝ: Int)
        println(ޜޣޣފތރށސ("ޝރލޗނޖޥކ", 2043))
        ޏޏޖޥޢޞމވ()
    }

    private fun ޣޣވވޙޛދސ() {
        ޜޚޙޓޡޛޠޢ()
    }

    private fun ޏޏޖޥޢޞމވ() {
        BarUtils.setStatusBarColor(this, Color.TRANSPARENT)
        abstract class ޔޅޡށޘޛޜފ {
            abstract fun ޖޟޣފމޜވޢ()
        }
        class ތމޒޗތއތވ : ޔޅޡށޘޛޜފ() {
            override fun ޖޟޣފމޜވޢ() {
                println("ޘރޥވށޟޖމ")
            }
        }
        val ޥޒޜދޏޥޘށ = ތމޒޗތއތވ()
        ޥޒޜދޏޥޘށ.ޖޟޣފމޜވޢ()
        binding.root.updatePadding(top = BarUtils.getStatusBarHeight())

    }

    private fun ޙޢޤރޑޡޡޑ() {
        fun ޠޟއޗށމޖޟ() {
            fun ޠޑތޛޙޝޒށ(ޏސޣރޥޒޝކ: Int) {
                println(ޏސޣރޥޒޝކ)
            }
            ޠޑތޛޙޝޒށ(9885)
            ޠޑތޛޙޝޒށ(1617)
            ޠޑތޛޙޝޒށ(6124)
        }
        ޠޟއޗށމޖޟ()
        ޡޓކއމހގޑ()
    }

    private fun ޅލޣޕގޣޓޛ() {
        ޙޢޤރޑޡޡޑ()
    }

    private fun ވށޘޛޘޝނކ() {
        binding.zewocvw.setTrackedOnClickListener {

        }
        binding.qpdaihs.setTrackedOnClickListener {
            fun String.ލކޓރޕޘރކ(): Boolean {
                return this == this.reversed()
            }
            val ޝއޅޣޘޑސޘ = "ޓޚނކޗއސޞ"
            val ދޅޙޏހކނޓ = ޝއޅޣޘޑސޘ.ލކޓރޕޘރކ()
            println(ދޅޙޏހކނޓ)
            loadUrl(R.string.ޞޙބވޣ_D.string())
        }
        binding.riegxzs.setTrackedOnClickListener {

        open class ހޘށޒޕޠޑރ {
            open fun މހޝފޚޓރމ() {}
        }
        class ސޖދރޖސޘއ : ހޘށޒޕޠޑރ() {
            override fun މހޝފޚޓރމ() {
                println("ޕތޝޥޢޙގޛ")
            }
        }
        val ސށޞޘޚލޡޥ = ސޖދރޖސޘއ()
        println(ސށޞޘޚލޡޥ)
        }
        val ބޔދޜދޏޏލ = 5447
        val ޣޠޙމޥޝޡޝ = 1825
        val ޛޔސޏޑލގދ = ބޔދޜދޏޏލ * ޣޠޙމޥޝޡޝ * ޣޠޙމޥޝޡޝ
        println(ޛޔސޏޑލގދ)
        binding.kavcbku.setTrackedOnClickListener {

        fun <T> ޘޘޤޟނޣޢހ(ޛޝޙކގބވޢ: T) {
            println(ޛޝޙކގބވޢ)
        }
        ޘޘޤޟނޣޢހ(9571)
        ޘޘޤޟނޣޢހ("ޞކހފރފފޔ")
        }
        fun String.ޣޕޒޓރނއޕ(): Boolean {
            return this == this.reversed()
        }
        val ޞޙދޕނޗޢޢ = "ޠކޠނކޗޡތ"
        val ވޘޏކޣކޥޑ = ޞޙދޕނޗޢޢ.ޣޕޒޓރނއޕ()
        println(ވޘޏކޣކޥޑ)
        binding.zosjitu.setTrackedOnClickListener {

        abstract class ޙޢޤށޘރނގ {
            abstract fun ކޙޝމޜޖޚތ()
        }
        class ލޤމޟޛއދޠ : ޙޢޤށޘރނގ() {
            override fun ކޙޝމޜޖޚތ() {
                println("ޅޡށޢޛމޖޓ")
            }
        }
        val ގރޠޣޥޡލނ = ލޤމޟޛއދޠ()
        ގރޠޣޥޡލނ.ކޙޝމޜޖޚތ()
        }
        binding.sreqoag.setTrackedOnClickListener {

        class ލޏޅޑނސމބ<T>(ޗޠސޡޅހވޘ: T) {
            init {
                println("ޚޡމވޣޝޔރ: $ޗޠސޡޅހވޘ")
            }
        }
        println(ލޏޅޑނސމބ("ވދލނދރޝއ"))
        }
        binding.tnfgdbv.setTrackedOnClickListener {

        }
        binding.szsebvn.setTrackedOnClickListener {

        }
    }

    private fun ޜޚޙޓޡޛޠޢ() {
        ވށޘޛޘޝނކ()
    }

    private fun ޡޓކއމހގޑ() {
        fun މޕލދދޛޤޅ() {
            fun ތޔތޚތޚމޓ(ގރޘޝތނޙޕ: Int) {
                println(ގރޘޝތނޙޕ)
            }
            ތޔތޚތޚމޓ(8389)
            ތޔތޚތޚމޓ(8464)
            ތޔތޚތޚމޓ(8733)
        }
        މޕލދދޛޤޅ()
        ޡޢފމރޤޣޟ()
    }
}